## colpack 1.0.9

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






pkgdatadir = $(datadir)/ColPack
pkgincludedir = $(includedir)/ColPack
pkglibdir = $(libdir)/ColPack
pkglibexecdir = $(libexecdir)/ColPack
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_bin_PROGRAMS = ColPack$(EXEEXT)
#basic_examples_PROGRAMS = SampleDrivers/Basic/color_bipartite_graph_using_BipartiteGraphBicoloringInterface$(EXEEXT) \
#	SampleDrivers/Basic/color_bipartite_graph_using_BipartiteGraphPartialColoringInterface$(EXEEXT) \
#	SampleDrivers/Basic/color_graph_using_GraphColoringInterface$(EXEEXT) \
#	SampleDrivers/Basic/Generate_seed_matrix_for_Hessian$(EXEEXT) \
#	SampleDrivers/Basic/Generate_seed_matrix_for_Jacobian$(EXEEXT)
#ADIC_examples_PROGRAMS = SampleDrivers/Matrix_Compression_and_Recovery/ADIC/01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format$(EXEEXT)
#ADOLC_examples_PROGRAMS = SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/03_Column_compression_and_recovery_for_Jacobian_return_Sparse_Solvers_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/04_Row_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/05_Compression_and_direct_recovery_for_Hessian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/06_Compression_and_direct_recovery_for_Hessian_return_Coordinate_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/07_Compression_and_direct_recovery_for_Hessian_return_Sparse_Solvers_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/08_Compression_and_indirect_recovery_for_Hessian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/09_Bidirectional_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/10_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format__unmanaged_usermem$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/11_Compression_and_direct_recovery_for_Hessian_return_Row_Compressed_Format__unmanaged_usermem$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/12_Bidirectional_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format__unmanaged_usermem$(EXEEXT)
#CSR_examples_PROGRAMS = SampleDrivers/Matrix_Compression_and_Recovery/CSR_input/01_Column_compression_and_recovery_for_Jacobian_CSR_input_return_Row_Compressed_Format$(EXEEXT)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(pkginclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
	COPYING.LESSER ChangeLog INSTALL NEWS config.guess config.sub \
	depcomp install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(ADIC_examplesdir)" \
	"$(DESTDIR)$(ADOLC_examplesdir)" \
	"$(DESTDIR)$(CSR_examplesdir)" \
	"$(DESTDIR)$(basic_examplesdir)" "$(DESTDIR)$(noinst_bindir)" \
	"$(DESTDIR)$(pkgincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libColPack_la_LIBADD =
am_libColPack_la_OBJECTS = CoutLock.lo \
	command_line_parameter_processor.lo File.lo DisjointSets.lo \
	current_time.lo mmio.lo Pause.lo MatrixDeallocation.lo \
	Timer.lo StringTokenizer.lo extra.lo stat.lo \
	BipartiteGraphPartialOrdering.lo \
	BipartiteGraphPartialColoring.lo \
	BipartiteGraphPartialColoringInterface.lo \
	BipartiteGraphInputOutput.lo BipartiteGraphBicoloring.lo \
	BipartiteGraphVertexCover.lo BipartiteGraphCore.lo \
	BipartiteGraphBicoloringInterface.lo BipartiteGraphOrdering.lo \
	GraphCore.lo GraphColoringInterface.lo GraphInputOutput.lo \
	GraphOrdering.lo GraphColoring.lo JacobianRecovery1D.lo \
	RecoveryCore.lo JacobianRecovery2D.lo HessianRecovery.lo
libColPack_la_OBJECTS = $(am_libColPack_la_OBJECTS)
PROGRAMS = $(ADIC_examples_PROGRAMS) $(ADOLC_examples_PROGRAMS) \
	$(CSR_examples_PROGRAMS) $(basic_examples_PROGRAMS) \
	$(noinst_bin_PROGRAMS)
am_ColPack_OBJECTS = Main.$(OBJEXT)
ColPack_OBJECTS = $(am_ColPack_OBJECTS)
ColPack_LDADD = $(LDADD)
ColPack_DEPENDENCIES = libColPack.la
SampleDrivers_Basic_Generate_seed_matrix_for_Hessian_SOURCES =  \
	SampleDrivers/Basic/Generate_seed_matrix_for_Hessian.cpp
SampleDrivers_Basic_Generate_seed_matrix_for_Hessian_OBJECTS =  \
	Generate_seed_matrix_for_Hessian.$(OBJEXT)
SampleDrivers_Basic_Generate_seed_matrix_for_Hessian_LDADD = $(LDADD)
SampleDrivers_Basic_Generate_seed_matrix_for_Hessian_DEPENDENCIES =  \
	libColPack.la
am__dirstamp = $(am__leading_dot)dirstamp
SampleDrivers_Basic_Generate_seed_matrix_for_Jacobian_SOURCES =  \
	SampleDrivers/Basic/Generate_seed_matrix_for_Jacobian.cpp
SampleDrivers_Basic_Generate_seed_matrix_for_Jacobian_OBJECTS =  \
	Generate_seed_matrix_for_Jacobian.$(OBJEXT)
SampleDrivers_Basic_Generate_seed_matrix_for_Jacobian_LDADD =  \
	$(LDADD)
SampleDrivers_Basic_Generate_seed_matrix_for_Jacobian_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphBicoloringInterface_SOURCES = SampleDrivers/Basic/color_bipartite_graph_using_BipartiteGraphBicoloringInterface.cpp
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphBicoloringInterface_OBJECTS = color_bipartite_graph_using_BipartiteGraphBicoloringInterface.$(OBJEXT)
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphBicoloringInterface_LDADD =  \
	$(LDADD)
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphBicoloringInterface_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphPartialColoringInterface_SOURCES = SampleDrivers/Basic/color_bipartite_graph_using_BipartiteGraphPartialColoringInterface.cpp
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphPartialColoringInterface_OBJECTS = color_bipartite_graph_using_BipartiteGraphPartialColoringInterface.$(OBJEXT)
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphPartialColoringInterface_LDADD =  \
	$(LDADD)
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphPartialColoringInterface_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Basic_color_graph_using_GraphColoringInterface_SOURCES = SampleDrivers/Basic/color_graph_using_GraphColoringInterface.cpp
SampleDrivers_Basic_color_graph_using_GraphColoringInterface_OBJECTS =  \
	color_graph_using_GraphColoringInterface.$(OBJEXT)
SampleDrivers_Basic_color_graph_using_GraphColoringInterface_LDADD =  \
	$(LDADD)
SampleDrivers_Basic_color_graph_using_GraphColoringInterface_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Matrix_Compression_and_Recovery_ADIC_01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format_SOURCES = SampleDrivers/Matrix_Compression_and_Recovery/ADIC/01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format.cpp
SampleDrivers_Matrix_Compression_and_Recovery_ADIC_01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format_OBJECTS = 01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format.$(OBJEXT)
SampleDrivers_Matrix_Compression_and_Recovery_ADIC_01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format_LDADD =  \
	$(LDADD)
SampleDrivers_Matrix_Compression_and_Recovery_ADIC_01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format_SOURCES = SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format.cpp
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format_OBJECTS = 01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format.$(OBJEXT)
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format_LDADD =  \
	$(LDADD)
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format_SOURCES = SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format.cpp
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format_OBJECTS = 02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format.$(OBJEXT)
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format_LDADD =  \
	$(LDADD)
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_03_Column_compression_and_recovery_for_Jacobian_return_Sparse_Solvers_Format_SOURCES = SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/03_Column_compression_and_recovery_for_Jacobian_return_Sparse_Solvers_Format.cpp

=== debian/changelog ===
colpack (1.0.9-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add conflicts/replaces libcolpack0 (closes: #794909)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 09 Aug 2015 17:51:36 +0100

colpack (1.0.9-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libcolpack0 to libcolpack0v5 (see #791009)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 04 Aug 2015 17:56:18 +0100

colpack (1.0.9-3) unstable; urgency=medium

  * chmod -x /usr/share/doc/libcolpack-dev/examples/.../*.cpp

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Mar 2014 21:38:55 +0000

colpack (1.0.9-2) unstable; urgency=medium

  * Move package into debian-science

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Mar 2014 12:09:57 +0000

colpack (1.0.9-1) unstable; urgency=medium

  * Initial release. (Closes: #740822)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Mar 2014 11:16:33 +0000

=== debian/control ===
Source: colpack
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.cscapes.org/coloringpage/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/colpack.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/colpack.git

Package: libcolpack-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libcolpack0v5 (= ${binary:Version})
Description: Specialized graph vertex coloring library, development files
 ColPack is a package comprising of implementation of algorithms for
 specialized vertex coloring problems that arise in sparse derivative
 computation.  It is written in an object-oriented fashion heavily
 using the Standard Template Library (STL).  It is designed to be
 simple, modular, extenable and efficient.  Its primary application
 has been for use in automatic differentiation.
 .
 This package contains the development library, header files, and
 documentation.

Package: libcolpack0v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcolpack0
Replaces: libcolpack0
Description: Specialized graph vertex coloring library, shared library
 ColPack is a package comprising of implementation of algorithms for
 specialized vertex coloring problems that arise in sparse derivative
 computation.  It is written in an object-oriented fashion heavily
 using the Standard Template Library (STL).  It is designed to be
 simple, modular, extenable and efficient.  Its primary application
 has been for use in automatic differentiation.
 .
 This package contains the runtime library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_clean:
	-dh_auto_clean

# Disable build-time compilation of examples.  Enabling would be a
# harmless reality check, except we want to install the example
# sources as documentation, and compiling them leaves the compilation
# outputs in place, which then need to be filtered out.
override_dh_auto_configure:
	dh_auto_configure -- --enable-examples=no

# Do not compress the example source code.
override_dh_compress:
	dh_compress -X.cpp -Xeval_fun_chem.c

override_dh_installexamples:
	dh_installexamples
	find debian/libcolpack-dev -name .gitignore -exec rm --verbose '{}' \;
	@echo compensate for upstream tarball containing executable example source
	find debian/libcolpack-dev/usr/share/doc/libcolpack-dev/examples \
		-type f -executable \
		-exec chmod --verbose a-x '{}' \;

=== debian/watch ===
version=3
# http://www.cscapes.org/coloringpage/ http://cscapes.cs.purdue.edu/download/ColPack/ColPack-(.*)\.tar\.gz
http://cscapes.cs.purdue.edu/download/ColPack/ ColPack-([0-9.]+)\.tar\.gz

## colpack 1.0.10

=== SampleDrivers/Matrix_Compression_and_Recovery/SMB/Makefile ===
# Compiler
CC = g++
CFLAGS = -O5
#CFLAGS = -g
LIBS = -lm -lstdc++

# Definitions for ADOL-C
# CHANGE THIS TO YOUR ADOL-C BASE DIRECTORY
ADPATH = $(HOME)/adolc_base/include/adolc
ADPATHa = $(HOME)/adolc_base/include
ADLIBDIR = $(HOME)/adolc_base/lib
ADCFLAGS = -I$(ADPATH) -I$(ADPATHa) -I$(HOME)/Desktop/Working_U/research_Assefaw/svn_projects/projects/src/ColPack/build/include
ADLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc -lColPack -L$(HOME)/Desktop/Working_U/research_Assefaw/svn_projects/projects/src/ColPack/build/lib

ADPATH1 = $(HOME)/adolc_base/include/adolc
ADPATH1a = $(HOME)/adolc_base/include
ADLIBDIR1 = $(HOME)/adolc_base/lib
ADCFLAGS1 = -I$(ADPATH1)  -I$(ADPATH1a)
ADLIBS1 = -Wl,--rpath -Wl,$(ADLIBDIR1) -L$(ADLIBDIR1) -ladolc

ADPATH2 = $(HOME)/adolc_base/include/adolc
ADPATH3 = $(HOME)/adolc_base/include
ADLIBDIR2 = $(HOME)/adolc_base/lib
ADCFLAGS2 = -I$(ADPATH2)  -I$(ADPATH3)
ADLIBS2 = -Wl,--rpath -Wl,$(ADLIBDIR2) -L$(ADLIBDIR2) -ladolc

ADPATH4 = $(HOME)/adolc_base/include/adolc
ADPATH5 = $(HOME)/adolc_base/include
ADLIBDIR4 = $(HOME)/adolc_base/lib
ADCFLAGS4 = -I$(ADPATH4)  -I$(ADPATH5)
ADLIBS4 = -Wl,--rpath -Wl,$(ADLIBDIR4) -L$(ADLIBDIR4) -ladolc

ADPATH6 = $(HOME)/adolc_base/include/adolc
ADPATH7 = $(HOME)/adolc_base/include
ADLIBDIR6 = $(HOME)/adolc_base/lib
ADCFLAGS6 = -I$(ADPATH6)  -I$(ADPATH7)
ADLIBS6 = -Wl,--rpath -Wl,$(ADLIBDIR6) -L$(ADLIBDIR6) -ladolc

# Ziele
all:  sparse_jac_hess

sparse_jac_hess: sparse_jac_hess.o eval_fun_chem.o
	$(CC) -o sparse_jac_hess  $(ADCFLAGS) sparse_jac_hess.o eval_fun_chem.o \
	$(LIBS) $(ADLIBS) -lgcc

sparse_jac_hess_fun_a: sparse_jac_hess.o eval_fun_struct.o GraphColoring.o DisjointSets.o
	$(CC) -o sparse_jac_hess_a  $(ADCFLAGS1) sparse_jac_hess.o eval_fun_struct.o GraphColoring.o DisjointSets.o \
	$(LIBS) $(ADLIBS1) -lgcc

sparse_jac_hess_fun_b: sparse_jac_hess_b.o eval_fun_struct.o GraphColoring.o DisjointSets.o
	$(CC) -o sparse_jac_hess_b  $(ADCFLAGS2) sparse_jac_hess_b.o eval_fun_struct.o GraphColoring.o DisjointSets.o \
	$(LIBS) $(ADLIBS2) -lgcc

sparse_jac_hess_fun_c: sparse_jac_hess_c.o eval_fun_struct.o GraphColoring.o DisjointSets.o
	$(CC) -o sparse_jac_hess_c  $(ADCFLAGS4) sparse_jac_hess_c.o eval_fun_struct.o GraphColoring.o DisjointSets.o \
	$(LIBS) $(ADLIBS4) -lgcc

sparse_jac_hess_fun_d: sparse_jac_hess_d.o eval_fun_struct.o GraphColoring.o DisjointSets.o
	$(CC) -o sparse_jac_hess_d  $(ADCFLAGS6) sparse_jac_hess_c.o eval_fun_struct.o GraphColoring.o DisjointSets.o \
	$(LIBS) $(ADLIBS6) -lgcc

#-----------------------------------------------------------------------
#                                                                      #

sparse_jac_hess.o: sparse_jac_hess.cpp
	$(CC) -c $(CFLAGS) $(ADCFLAGS) sparse_jac_hess.cpp -lm

sparse_jac_hess_b.o: sparse_jac_hess.cpp
	$(CC) -o sparse_jac_hess_b.o -c $(CFLAGS) $(ADCFLAGS2) sparse_jac_hess.cpp -lm

sparse_jac_hess_c.o: sparse_jac_hess.cpp
	$(CC) -o sparse_jac_hess_c.o -c $(CFLAGS) $(ADCFLAGS4) sparse_jac_hess.cpp -lm

sparse_jac_hess_d.o: sparse_jac_hess.cpp
	$(CC) -o sparse_jac_hess_d.o -c $(CFLAGS) $(ADCFLAGS4) sparse_jac_hess.cpp -lm

sparse_jac_hess_chem.o: sparse_jac_hess_chem.cpp
	$(CC) -c $(CFLAGS) $(ADCFLAGS) sparse_jac_hess_chem.cpp -lm

#-----------------------------------------------------------------------
#                                                  function evaluation #

eval_fun_chem.o: eval_fun_chem.c
	$(CC) -c $(CFLAGS) $(ADCFLAGS) eval_fun_chem.c

#-----------------------------------------------------------------------
#                                                     acyclic coloring #

GraphColoring.o: GraphColoring.cpp
	$(CC) -c $(CFLAGS) $(ADCFLAGS) GraphColoring.cpp

DisjointSets.o: DisjointSets.cpp
	$(CC) -c $(CFLAGS) $(ADCFLAGS) DisjointSets.cpp

#-----------------------------------------------------------------------
#                                                             clean up #

clean:
	-/bin/rm *.o

=== debian/changelog ===
colpack (1.0.10-6) unstable; urgency=medium

  * exercise dh13
  * Update standards version to 4.6.0, no changes needed.
  * Remove Multi-arch: same from -dev package
  * Remove libtool-created LD_LIBRARY_PATH shim scripts from examples

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Aug 2021 09:20:31 +0100

colpack (1.0.10-5) unstable; urgency=medium

  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump policy.
  * Update some URLs.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 May 2020 10:14:51 +0100

colpack (1.0.10-4) unstable; urgency=medium

  * swizzle packaging repo to salsa
  * bump policy
  * bump to dh11
  * merge upstream mods

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Mar 2018 11:06:24 +0100

colpack (1.0.10-3) unstable; urgency=medium

  * bump policy
  * track unused upstream mods

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 29 Nov 2017 11:39:53 +0000

colpack (1.0.10-2) unstable; urgency=medium

  * bump to dh10
  * bump policy
  * remove unnecessary build dependency
  * prune inappropriate files from examples (squelching reproducability &
    multiarch issues) (closes: #820311)
  * harden
  * secure repo URLs

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 19 Aug 2017 18:24:47 +0200

colpack (1.0.10-1) unstable; urgency=medium

  * Add github pointer to uscan debian/watch
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Apr 2016 12:01:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: colpack
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 13),
+	autoconf-archive
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Section: libs
-Homepage: http://www.cscapes.org/coloringpage/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/colpack.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/colpack.git
+Homepage: https://cscapes.cs.purdue.edu/coloringpage/
+Vcs-Git: https://salsa.debian.org/science-team/colpack.git
+Vcs-Browser: https://salsa.debian.org/science-team/colpack
 
 Package: libcolpack-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcolpack0v5 (= ${binary:Version})
 Description: Specialized graph vertex coloring library, development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	-dh_auto_clean

# Disable build-time compilation of examples.  Enabling would be a
# harmless reality check, except we want to install the example
# sources as documentation, and compiling them leaves the compilation
# outputs in place, which then need to be filtered out.
override_dh_auto_configure:
	dh_auto_configure -- --enable-examples=no --enable-openmp

override_dh_installexamples:
	dh_installexamples -X.o -X.log -X.trs -X.gitignore -X.deps -X.libs -X.dirstamp

execute_after_dh_installexamples:
	@echo "Remove unnecessary executable shell script shims that set LD_LIBRARY_PATH"
	find debian/libcolpack-dev/usr/share/doc/libcolpack-dev/examples/SampleDrivers/Basic \
		-type f -executable \
		-ls -delete

# Do not compress the example source code.
override_dh_compress:
	dh_compress -X.cpp -Xeval_fun_chem.c

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%colpack-$1.tar.gz%" \
    https://github.com/CSCsw/ColPack/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# Older:
# http://www.cscapes.org/coloringpage/ http://cscapes.cs.purdue.edu/download/ColPack/ColPack-(.*)\.tar\.gz
https://cscapes.cs.purdue.edu/download/ColPack/ ColPack-([0-9.]+)\.tar\.gz
